# Gimp.eraser_default

    function eraser_default(drawable: Gimp.Drawable, strokes: Array(Number(gdouble))): Boolean {
        // Gjs wrapper for gimp_eraser_default()
    }

Erase using the current brush.

This tool erases using the current brush mask. This function performs exactly the same as the Gimp.eraser function except that the tools arguments are obtained from the eraser option dialog. It this dialog has not been activated then the dialogs default values will be used.

drawable

  The affected drawable.

strokes

  Array of stroke coordinates: { s1.x, s1.y, s2.x, s2.y, ..., sn.x, sn.y }.

Returns

  TRUE on success.